/**
 * 状态选项
 */
export const statusOptions = [
  { value: 0, label: 'message.enable' },
  { value: 1, label: 'message.disable' }
]

export const statusMOptions = [
  { value: 1, label: 'message.disable' },
  { value: 0, label: 'message.enable' }
]

export const statusLabelOptions = [
  { value: 0, label: 'message.disabled' },
  { value: 1, label: 'message.enabled' }
]

export const memberStatusOptions = [
  { value: -2, label: 'member.blacked' },
  { value: -1, label: 'member.dayblacked' },
  { value: 0, label: 'member.normal' }
]

export const memberFromOptions = [
  { value: 1, label: 'member.mobile' },
  { value: 2, label: 'member.sms' },
  { value: 3, label: 'member.wechat' },
  { value: 4, label: 'QQ' },
  { value: 5, label: 'member.email' },
  { value: 6, label: 'Facebook' },
  { value: 7, label: 'Google' }
]

export function getOrderStatus(status) {
  if (status === -1) {
    return '交易关闭'
  } else if (status === 1) {
    return '待付款'
  } else if (status === 2) {
    return '待发货'
  } else if (status === 3) {
    return '待收货'
  } else if (status === 4) {
    return '已完成'
  }
}

export function getType(type) {
  if (type === 1) {
    return '篮球馆'
  } else if (type === 2) {
    return '健身馆'
  } else if (type === 3) {
    return '足球馆'
  }
}

export const statusVenueOptions = [
  { value: 0, label: 'message.enabled' },
  { value: 1, label: 'message.disable' }
]
